# $Id: smeserver-sme7admin.spec,v 1.3 2009/03/03 18:45:13 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: Un module sme pour avoir des infos sur l'utilisation du serveur.
%define name smeserver-sme7admin
Name: %{name}
%define version 1.1.0
%define release 7
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

#Patch0: %{name}-%{version}.patch.yyyymmddnn

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

BuildRequires: e-smith-devtools

Requires: e-smith-base
Requires: rrdtool-perl
Requires: rrdtool
Requires: hddtemp
Requires: sysstat < 5.1
Requires: lm_sensors

# lm_sensors est de base dans sme maintenant -> devrait pas y avoir de pb de deps
AutoReqProv: no

Patch0: smeserver-sme7admin-newrrd.patch
Patch1: smeserver-sme7admin-0conf.patch
Patch2: smeserver-sme7admin-fix_samba_service_name.patch
Patch3: smeserver-sme7admin-alertForm.patch
Patch4: smeserver-sme7admin-1.1.0-fix_userpanel_graph.patch
Patch5: smeserver-sme6admin-1.1.0-remove_db_init_from_spec.patch

%changelog
* Tue Mar 03 2009 Daniel B. <daniel@firewall-services.com> 1.1.0-7
- Split Requires in several lines
- Add e-smith-devtools as a build dependency

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 1.1.0-6
- Fixes in spec file
- Fix links for graphs in userpanels
- move db initialization from spec file to source archive

* Thu Aug 13 2008 Daniel B. <daniel@firewall-services.com> 1.1.0-5
- Fix configuration db flush when we use the mini form
  to configure alerts [SME: 4435]

* Mon Jun 23 2008 Daniel B. <daniel@firewal-services.com> 1.1.0-4
- fix a bug when a configuration value is 0 [SME: 4420]
- fix service name (smbd, not smb) [SME: 4419]

* Fri Jun 13 2008 Daniel B. <daniel@firewall-services.com> 1.1.0-3
- compatibility with rrdtool 1.2 [SME: 3729]
- compatibility with new service status output [SME: 2987]
- correct sme7admind not starting after a crash (existing pid file)[SME: 1451][SME: 3022]
- configuration is stored in the db
- unique radom mysql password for new install
- fixed some warnings in httpd/admin_error_log
- clean the spec file
- some code cleaning

* Wed Feb 01 2006 Landry Breuil <landry@firewall-services.com>
- v1.1.0 - un an aprs la derniere version majeure.
- Renommage en smeserver-sme7admin.
- Uniquement compatible avec SME 7 a partir de maintenant.
- Reecriture majeure, GROS nettoyage du code.
- Passage des options dans un fichier de configuration.
- BEAUCOUP plus de choses configurables. Gere plus de configurations correctement.
- Ajout de services specifiques SME7.
- Ajout d'un lien pour configurer la limite dans les mails d'alerte.
- Ajout du 'netstat -tlp' et du 'w' dans la page d'accueil.

* Mon Oct 03 2005 Cyril Dumas <cyril@firewall-services.com>
- v1.0.5
- Correction de certains bugs pour pouvoir le lancer sur sme7.
- Beaucoup de choses fonctionnent anormalement (vnements non dtects) sur sme7.

* Tue Feb 01 2005 Landry Breuil <landry@firewall-services.com>
- v1.0.4
- passage a gettext pour toutes les sorties texte.
- traduction anglaise pour le panel et le texte des e-mails.
- fichier .po inclus pour la langue francais et anglaise.

* Tue Sep 14 2004 Landry Breuil <landry@firewall-services.com>
- v1.0.3
- Ajout de afp sur le graphe des sessions.
- Modification des graphes de rseau.
- Ajout graphe trafic serveur hors routage.
- Amlioration UI et short_status (easter-egg ;)).
- Correction bug client ftp anonymous.
- Possibilit de dsactiver les alertes.
- Nettoyage /var/tmp au logrotate.

* Thu Aug 26 2004 Landry Breuil <landry@firewall-services.com>
- v1.0.2
- Compatibilite avec la 5.6 Ok
- Prise en compte de la locale US (0.0 => 0,0)
- Ajout temp hd 2
- Correction expreg sur hostname

* Tue Aug 10 2004 Landry Breuil <landry@firewall-services.com>
- Amelioration des scripts postinstall et preuninstall pour rendre possible l'upgrade
- Correction du bug qui ne lancait pas le service au reboot

* Mon Aug 9 2004 Landry Breuil <landry@firewall-services.com>
- v1.0.1
- Ajout de la configuration du temps entre 2 mails de status
- Amelioration de la compatibilite avec SME 5.6

* Fri Aug 6 2004 Landry Breuil <landry@firewall-services.com>
- v1.0.0

%description
Un demon qui recolte des informations en parsant les logs du systeme, en executant
des commandes de status type sysstat, qui alimente des rrd et une base de donnees mysql,
et qui declenche des alertes par e-mail en fonction de criteres configurables.
Associ a un panel du server-manager qui permet de consulter les informations stockees,
d'afficher les graphes generes par les rrdtool, et de configurer les alertes.

Il faut installer lm_sensors, hddtemp, ulogd, clamav et spamassassin si on veut
l'utiliser au maximum. Tout ces logiciels sont inclus dans SME 7.0.

Ce programme s'inspire en toute petite partie de e-smith-sysmon par Shad Lords.
Il permet d'avoir un maximum d'information sur l'utilisation du serveur en un coup d'oeil.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
perl createlinks
%{__mkdir_p} root/etc/e-smith/web/panels/manager/html/sme7admin


%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
# This is to correct a bug in the previous version
if [ -e /etc/e-smith/web/panels/manager/html/sme7admin/sme7admin.conf ]; then
	cp -a /etc/e-smith/web/panels/manager/html/sme7admin/sme7admin.conf \
		/etc/e-smith/web/panels/manager/html/sme7admin/_sme7admin.conf
fi

%preun

%post

if [ $1 -eq 1 ]
then
   
   if [ -d /var/lib/sme6admin ] && [ -d /var/lib/mysql/sme6admin/ ] 
   then
        echo "You may now safely remove sme6admin. Datas were migrated to sme7admin."
        echo "Execute 'rpm -e e-smith-sme6admin' and maybe 'mysqladmin drop sme6admin' and 'rm -Rf /var/lib/sme6admin' to completely remove sme6admin."
   fi

fi

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%attr(755,root,root) /etc/e-smith/sql/init/sme7admin
